%define name kpackviewer
%define	version 0.70
%define release 2mdk
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: Package Viewer/Extractor/Converter with TreeView
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
Group: Archiving/Other
Copyright: GPL
Source: %{name}-%{version}.tar.bz2
URL: http://www.momentus.com.br/users/hook/kpackviewer.html
Requires: kdelibs
BuildRoot: /var/tmp/%{name}-buildroot
Patch: %{name}-%{version}.patch.bz2
Packager: Dara Hazeghi <dara@linux-mandrake.com>

%description
This is a tiny utility to help System Administrators in
the task of package administration. You can browse packages
with ease and search inside all compressed packages under
the logged pattern of a KPV view. You can view package struct
in TreeView, see package information, mount a virtual slackware
directory (to seethe contents of a distribution tree or CD)
and see RPM packages in any folder by groups, as well as
Debian, Zip, BZip2, LHA packages....
You can also Convert (w/Alien) and Extract packages.

%package register
Summary: MIME registration files for KPackViewer
Group: Archiving/Other
Requires: kpackviewer

%description register
This package contains all the MIME registration files for
KPackViewer.  Install this if you want KPackViewer to be
your default handler for all the archive packages.

%prep
rm -rf %{builddir}

%setup
%patch -p1
touch `find . -type f`

%build
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi
CXXFLAGS="$RPM_OPT_FLAGS -I$KDEDIR/include/kde" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	
make

%install
# first we install register, generate a file list, erase it, then install
# regular, generate a file list, then install register again to get it all
# ready for the files sections.
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi


cd %{builddir}
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT$KDEDIR register
# fix some conflicts with kdebase, make it all uniform
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-arj.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-arj.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-bzip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-bzip.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-debian-package.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-debian-package.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-gzip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-gzip.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-lha.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-lha.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-rpm.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-rpm.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-zip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-zip.kdelnk

cd %{builddir}
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT$KDEDIR install

# Makefiles put docs in wrong place for RH6/KDE112
mkdir -p $RPM_BUILD_ROOT$KDEDIR/doc/kde/
mv $RPM_BUILD_ROOT$KDEDIR/share/doc/HTML $RPM_BUILD_ROOT$KDEDIR/doc/kde/
rm -rf $RPM_BUILD_ROOT$KDEDIR/share/doc

cd %{builddir}
make prefix=$RPM_BUILD_ROOT$KDEDIR register
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-arj.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-arj.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-bzip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-bzip.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-debian-package.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-debian-package.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-gzip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-gzip.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-lha.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-lha.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-rpm.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-rpm.kdelnk
mv -f $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/x-zip.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/application/kpv-zip.kdelnk

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr (-,root,root)
/usr/bin/*
%dir /usr/doc/kde/HTML/en/KPackViewer
/usr/doc/kde/HTML/en/KPackViewer/*
/usr/share/applnk/*
%dir /usr/share/apps/KPackViewer
/usr/share/apps/KPackViewer/*
/usr/share/icons/*
/usr/share/locale/fr/LC_MESSAGES/*
/usr/share/locale/pt_BR/LC_MESSAGES/*

%files register 
%defattr (-,root,root)
/usr/share/icons/mini/*
/usr/share/mimelnk/application/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.70-2mdk
- fix files section
- fix group

* Mon Dec 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- little Mandrake adaptations
- used srpm provided by Dara Hazeghi <dara@linux-mandrake.com>
